# QGraphicsProxyWidget Class Reference

### [com.trolltech.qt.gui package]

Inherits QGraphicsWidget.

### Constructor

- void QGraphicsProxyWidget(QGraphicsItem parent, WindowFlags wFlags)

### Constructor Properties

- prototype: The QGraphicsProxyWidget prototype object

### Prototype Object Properties

The QGraphicsProxyWidget prototype object inherits properties from the QGraphicsWidget prototype object and also has the following properties.

- QGraphicsProxyWidget createProxyForChildWidget(QWidget child)
- void setWidget(QWidget widget)
- QRectF subWidgetRect(QWidget widget)
- QWidget widget()

### Instance Properties

QGraphicsProxyWidget objects have no special properties beyond those inherited from the QGraphicsProxyWidget prototype object.